/*
 *    interupt.h - generic utility for MZ-800
 *
 *    Copyright (c) 2012 by Michal Hucik <http://www.ordoz.com>
 *
 *    Thies program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    driver_FDC is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with driver_FDC; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef __INTERRUPT_H__
#define __INTERRUPT_H__

#define	DI	__asm di __endasm
#define	EI	__asm ei __endasm

extern unsigned char interrupt_pioz80_data;

extern void interrupt_install_isr ( void (*isr) (void) );
extern void interrupt_uninstall_isr ( void );


/*
	To write your own ISR:

	void my_isr(void) interrupt {
		DI;
		...
		your code goes here
		...
		EI;
	}


	To install:   install_isr(my_isr);
	To uninstall: uninstall_isr();
*/
#endif
